import { http } from '@/services/api/http'
import { buildUrl, endpoints } from '@/services/api/endpoints'

export const apiListAdminMissionaryRequests = (params) =>
  http.get(endpoints.listAdminMissionaryRequests, { params })

export const apiShowAdminMissionaryRequest = (id) =>
  http.get(buildUrl(endpoints.showAdminMissionaryRequest, { id }))

export const apiChangeAdminMissionaryRequestStatus = (id, payload) =>
  http.patch(buildUrl(endpoints.changeAdminMissionaryRequestStatus, { id }), payload)
